[package]
name = "storage"
version = "0.1.0"
edition = "2021"

[dependencies]
anyhow = { workspace = true }
tracing = { workspace = true }
serde = { workspace = true }
uuid = { workspace = true }
tokio = { workspace = true }
reqwest = { version = "0.12", features = ["json", "multipart"] }
aws-sdk-s3 = { version = "1", default-features = false, features = ["rt-tokio", "default-https-client"] }
aws-config = { version = "1", default-features = false, features = ["rt-tokio", "rustls"] }
aws-credential-types = "1"
bytes = "1"
mime_guess = "2"
